<template>
  <div class="bg-cyan-600 p-4 flex justify-content-between">
    <div class="text-3xl text-0">Notes App</div>
    <div v-if="isShown">
      <Button
        @click="logout"
        label="Log Out"
        class="p-button-link text-0 underline"
      />
    </div>
  </div>
</template>

<script>
import authService from "@/services/auth/auth-service";
import { getAuth, onAuthStateChanged } from "@firebase/auth";

const auth = getAuth();

export default {
  name: "Header",
  data() {
    return {
      isShown: false,
    };
  },
  methods: {
    async logout() {
      await authService.logout();
      this.$router.push({ name: "Login" });
    },
  },
  beforeMount() {
    onAuthStateChanged(auth, (user) => {
      this.isShown = user ? true : false;
    });
  },
};
</script>

<style scoped>
</style>